Index: trunk/ui/mainwindow.ce.ui
===================================================================
--- trunk/ui/mainwindow.ce.ui	(revision 17)
+++ trunk/ui/mainwindow.ce.ui	(revision 17)
@@ -0,0 +1,492 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <class>MainWindow</class>
+ <widget class="QMainWindow" name="MainWindow">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>234</width>
+    <height>292</height>
+   </rect>
+  </property>
+  <property name="windowTitle">
+   <string>Задача коммивояжера</string>
+  </property>
+  <property name="windowIcon">
+   <iconset resource="../resources/tspsg.qrc">
+    <normaloff>:/images/Icon.png</normaloff>:/images/Icon.png</iconset>
+  </property>
+  <widget class="QWidget" name="centralwidget">
+   <property name="enabled">
+    <bool>true</bool>
+   </property>
+   <widget class="QTabWidget" name="tabWidget">
+    <property name="enabled">
+     <bool>true</bool>
+    </property>
+    <property name="geometry">
+     <rect>
+      <x>0</x>
+      <y>0</y>
+      <width>235</width>
+      <height>240</height>
+     </rect>
+    </property>
+    <property name="sizePolicy">
+     <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
+      <horstretch>0</horstretch>
+      <verstretch>0</verstretch>
+     </sizepolicy>
+    </property>
+    <property name="tabPosition">
+     <enum>QTabWidget::North</enum>
+    </property>
+    <property name="tabShape">
+     <enum>QTabWidget::Rounded</enum>
+    </property>
+    <property name="currentIndex">
+     <number>0</number>
+    </property>
+    <widget class="QWidget" name="tabTask">
+     <attribute name="title">
+      <string>Задача</string>
+     </attribute>
+     <layout class="QVBoxLayout" name="verticalLayout">
+      <item>
+       <layout class="QHBoxLayout" name="_2">
+        <item>
+         <spacer>
+          <property name="orientation">
+           <enum>Qt::Horizontal</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>40</width>
+            <height>20</height>
+           </size>
+          </property>
+         </spacer>
+        </item>
+        <item>
+         <widget class="QLabel" name="labelVariant">
+          <property name="text">
+           <string>&amp;Вариант:</string>
+          </property>
+          <property name="buddy">
+           <cstring>spinVariant</cstring>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <widget class="QSpinBox" name="spinVariant">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
+          <property name="statusTip">
+           <string>Номер варианта</string>
+          </property>
+          <property name="minimum">
+           <number>1</number>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <widget class="QLabel" name="labelCities">
+          <property name="text">
+           <string>&amp;Городов:</string>
+          </property>
+          <property name="buddy">
+           <cstring>spinCities</cstring>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <widget class="QSpinBox" name="spinCities">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
+          <property name="statusTip">
+           <string>Количество городов, которые обходит коммивояжер</string>
+          </property>
+          <property name="minimum">
+           <number>3</number>
+          </property>
+          <property name="maximum">
+           <number>5</number>
+          </property>
+          <property name="value">
+           <number>5</number>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <spacer>
+          <property name="orientation">
+           <enum>Qt::Horizontal</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>40</width>
+            <height>20</height>
+           </size>
+          </property>
+         </spacer>
+        </item>
+       </layout>
+      </item>
+      <item>
+       <widget class="QTableView" name="taskView">
+        <property name="statusTip">
+         <string>Стоимости переходов/переездов из города в город</string>
+        </property>
+        <property name="selectionMode">
+         <enum>QAbstractItemView::NoSelection</enum>
+        </property>
+       </widget>
+      </item>
+      <item>
+       <layout class="QHBoxLayout" name="_3">
+        <item>
+         <spacer>
+          <property name="orientation">
+           <enum>Qt::Horizontal</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>40</width>
+            <height>20</height>
+           </size>
+          </property>
+         </spacer>
+        </item>
+        <item>
+         <widget class="QPushButton" name="buttonRandom">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
+          <property name="statusTip">
+           <string>Заполнить таблицу случайными значениями</string>
+          </property>
+          <property name="text">
+           <string>Случайно</string>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <widget class="QPushButton" name="buttonSolve">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
+          <property name="statusTip">
+           <string>Решить текущую задачу</string>
+          </property>
+          <property name="text">
+           <string>Решить</string>
+          </property>
+          <property name="icon">
+           <iconset resource="../resources/tspsg.qrc">
+            <normaloff>:/images/buttons/buttons/OK.png</normaloff>:/images/buttons/buttons/OK.png</iconset>
+          </property>
+         </widget>
+        </item>
+       </layout>
+      </item>
+     </layout>
+    </widget>
+    <widget class="QWidget" name="tabSolution">
+     <attribute name="title">
+      <string>Решение</string>
+     </attribute>
+     <layout class="QVBoxLayout" name="_4">
+      <item>
+       <layout class="QHBoxLayout" name="_5">
+        <property name="spacing">
+         <number>0</number>
+        </property>
+        <item>
+         <widget class="QTextEdit" name="textEdit">
+          <property name="sizePolicy">
+           <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
+            <horstretch>0</horstretch>
+            <verstretch>0</verstretch>
+           </sizepolicy>
+          </property>
+          <property name="statusTip">
+           <string>Ход решения</string>
+          </property>
+          <property name="readOnly">
+           <bool>true</bool>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <widget class="QGraphicsView" name="graphicsView">
+          <property name="statusTip">
+           <string>Граф решения</string>
+          </property>
+         </widget>
+        </item>
+       </layout>
+      </item>
+     </layout>
+    </widget>
+   </widget>
+  </widget>
+  <widget class="QMenuBar" name="menubar">
+   <property name="geometry">
+    <rect>
+     <x>0</x>
+     <y>0</y>
+     <width>234</width>
+     <height>22</height>
+    </rect>
+   </property>
+   <widget class="QMenu" name="menuFile">
+    <property name="windowIcon">
+     <iconset>
+      <normaloff/>
+     </iconset>
+    </property>
+    <property name="title">
+     <string>&amp;Файл</string>
+    </property>
+    <widget class="QMenu" name="menuFileSave">
+     <property name="statusTip">
+      <string/>
+     </property>
+     <property name="title">
+      <string>Со&amp;хранить</string>
+     </property>
+     <property name="icon">
+      <iconset resource="../resources/tspsg.qrc">
+       <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
+     </property>
+     <addaction name="actionFileSaveTask"/>
+     <addaction name="separator"/>
+     <addaction name="actionFileSaveResultAll"/>
+     <addaction name="actionFileSaveResultMatrices"/>
+     <addaction name="actionFileSaveResultGraph"/>
+    </widget>
+    <addaction name="actionFileNew"/>
+    <addaction name="actionFileOpen"/>
+    <addaction name="menuFileSave"/>
+    <addaction name="separator"/>
+    <addaction name="actionFileExit"/>
+   </widget>
+   <widget class="QMenu" name="menuSettings">
+    <property name="title">
+     <string>&amp;Настройки</string>
+    </property>
+    <addaction name="actionSettingsSettings"/>
+   </widget>
+   <widget class="QMenu" name="menuHelp">
+    <property name="title">
+     <string>&amp;Помощь</string>
+    </property>
+    <addaction name="actionHelpContents"/>
+    <addaction name="actionHelpContextual"/>
+    <addaction name="separator"/>
+    <addaction name="actionHelpAbout"/>
+   </widget>
+   <addaction name="menuFile"/>
+   <addaction name="menuSettings"/>
+   <addaction name="menuHelp"/>
+  </widget>
+  <widget class="QToolBar" name="toolBar">
+   <property name="cursor">
+    <cursorShape>ArrowCursor</cursorShape>
+   </property>
+   <property name="iconSize">
+    <size>
+     <width>17</width>
+     <height>18</height>
+    </size>
+   </property>
+   <attribute name="toolBarArea">
+    <enum>TopToolBarArea</enum>
+   </attribute>
+   <attribute name="toolBarBreak">
+    <bool>false</bool>
+   </attribute>
+   <addaction name="actionFileNew"/>
+   <addaction name="actionFileOpen"/>
+   <addaction name="actionFileSaveTask"/>
+   <addaction name="separator"/>
+   <addaction name="actionSettingsSettings"/>
+   <addaction name="separator"/>
+   <addaction name="actionFileExit"/>
+  </widget>
+  <action name="actionFileSaveResultMatrices">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
+   <property name="text">
+    <string>&amp;Ход решения</string>
+   </property>
+   <property name="statusTip">
+    <string>Сохранить только хоод решения</string>
+   </property>
+  </action>
+  <action name="actionFileSaveResultGraph">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
+   <property name="text">
+    <string>&amp;Граф решения</string>
+   </property>
+   <property name="statusTip">
+    <string>Сохранить только граф решения</string>
+   </property>
+  </action>
+  <action name="actionFileSaveResultAll">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
+   <property name="text">
+    <string>&amp;Решение</string>
+   </property>
+   <property name="statusTip">
+    <string>Сохранить ход и граф решения</string>
+   </property>
+   <property name="shortcut">
+    <string>Ctrl+S</string>
+   </property>
+  </action>
+  <action name="actionFileNew">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Document.png</normaloff>:/images/buttons/buttons/Document.png</iconset>
+   </property>
+   <property name="text">
+    <string>&amp;Создать</string>
+   </property>
+   <property name="statusTip">
+    <string>Создать новую задачу</string>
+   </property>
+   <property name="shortcut">
+    <string>Ctrl+N</string>
+   </property>
+  </action>
+  <action name="actionFileOpen">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/OpenFolder.png</normaloff>:/images/buttons/buttons/OpenFolder.png</iconset>
+   </property>
+   <property name="text">
+    <string>&amp;Открыть</string>
+   </property>
+   <property name="toolTip">
+    <string>Открыть задачу</string>
+   </property>
+   <property name="statusTip">
+    <string>Открыть сохраненное условие задачи</string>
+   </property>
+   <property name="shortcut">
+    <string>Ctrl+O</string>
+   </property>
+  </action>
+  <action name="actionSettingsSettings">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Properties.png</normaloff>:/images/buttons/buttons/Properties.png</iconset>
+   </property>
+   <property name="text">
+    <string>&amp;Параметры</string>
+   </property>
+   <property name="statusTip">
+    <string>Настройка параметров программмы</string>
+   </property>
+  </action>
+  <action name="actionHelpContents">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/book_open.png</normaloff>:/images/buttons/buttons/book_open.png</iconset>
+   </property>
+   <property name="text">
+    <string>&amp;Содежание</string>
+   </property>
+   <property name="statusTip">
+    <string>Вызвать справку по программе</string>
+   </property>
+  </action>
+  <action name="actionHelpContextual">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Help.png</normaloff>:/images/buttons/buttons/Help.png</iconset>
+   </property>
+   <property name="text">
+    <string>&amp;Контекстная справка</string>
+   </property>
+   <property name="statusTip">
+    <string>Вызвать контекстную справку</string>
+   </property>
+  </action>
+  <action name="actionHelpAbout">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/infoBubble.png</normaloff>:/images/buttons/buttons/infoBubble.png</iconset>
+   </property>
+   <property name="text">
+    <string>&amp;Про...</string>
+   </property>
+   <property name="statusTip">
+    <string>Получить информацию о программе</string>
+   </property>
+  </action>
+  <action name="actionFileExit">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/NoAction.png</normaloff>:/images/buttons/buttons/NoAction.png</iconset>
+   </property>
+   <property name="text">
+    <string>В&amp;ыход</string>
+   </property>
+   <property name="statusTip">
+    <string>Выйти из программы</string>
+   </property>
+  </action>
+  <action name="actionFileSaveTask">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
+   </property>
+   <property name="text">
+    <string>&amp;Задачу</string>
+   </property>
+   <property name="iconText">
+    <string>Сохранить</string>
+   </property>
+   <property name="toolTip">
+    <string>Сохранить задачу</string>
+   </property>
+   <property name="statusTip">
+    <string>Сохранить условие задачи в файл</string>
+   </property>
+   <property name="shortcut">
+    <string>Ctrl+S</string>
+   </property>
+  </action>
+ </widget>
+ <resources>
+  <include location="../resources/tspsg.qrc"/>
+ </resources>
+ <connections>
+  <connection>
+   <sender>actionFileExit</sender>
+   <signal>triggered()</signal>
+   <receiver>MainWindow</receiver>
+   <slot>close()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>-1</x>
+     <y>-1</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>251</x>
+     <y>229</y>
+    </hint>
+   </hints>
+  </connection>
+ </connections>
+</ui>
Index: trunk/ui/mainwindow.ui
===================================================================
--- trunk/ui/mainwindow.ui	(revision 16)
+++ trunk/ui/mainwindow.ui	(revision 17)
@@ -1,6 +1,7 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>MainWindow</class>
- <widget class="QMainWindow" name="MainWindow" >
-  <property name="geometry" >
+ <widget class="QMainWindow" name="MainWindow">
+  <property name="geometry">
    <rect>
     <x>0</x>
@@ -10,36 +11,37 @@
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Задача коммивояжера</string>
   </property>
-  <property name="windowIcon" >
-   <iconset resource="../resources/tspsg.qrc" >:/images/Icon.png</iconset>
+  <property name="windowIcon">
+   <iconset resource="../resources/tspsg.qrc">
+    <normaloff>:/images/Icon.png</normaloff>:/images/Icon.png</iconset>
   </property>
-  <widget class="QWidget" name="centralwidget" >
-   <layout class="QGridLayout" >
-    <item row="0" column="0" >
-     <widget class="QTabWidget" name="tabWidget" >
-      <property name="sizePolicy" >
-       <sizepolicy vsizetype="Expanding" hsizetype="Expanding" >
+  <widget class="QWidget" name="centralwidget">
+   <layout class="QGridLayout">
+    <item row="0" column="0">
+     <widget class="QTabWidget" name="tabWidget">
+      <property name="sizePolicy">
+       <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
-      <property name="currentIndex" >
+      <property name="currentIndex">
        <number>0</number>
       </property>
-      <widget class="QWidget" name="tabTask" >
-       <attribute name="title" >
+      <widget class="QWidget" name="tabTask">
+       <attribute name="title">
         <string>Задача</string>
        </attribute>
-       <layout class="QVBoxLayout" >
+       <layout class="QVBoxLayout">
         <item>
-         <layout class="QHBoxLayout" >
+         <layout class="QHBoxLayout">
           <item>
            <spacer>
-            <property name="orientation" >
+            <property name="orientation">
              <enum>Qt::Horizontal</enum>
             </property>
-            <property name="sizeHint" >
+            <property name="sizeHint" stdset="0">
              <size>
               <width>40</width>
@@ -50,9 +52,9 @@
           </item>
           <item>
-           <widget class="QLabel" name="labelVariant" >
-            <property name="text" >
+           <widget class="QLabel" name="labelVariant">
+            <property name="text">
              <string>&amp;Вариант:</string>
             </property>
-            <property name="buddy" >
+            <property name="buddy">
              <cstring>spinVariant</cstring>
             </property>
@@ -60,12 +62,12 @@
           </item>
           <item>
-           <widget class="QSpinBox" name="spinVariant" >
-            <property name="cursor" >
+           <widget class="QSpinBox" name="spinVariant">
+            <property name="cursor">
              <cursorShape>PointingHandCursor</cursorShape>
             </property>
-            <property name="statusTip" >
+            <property name="statusTip">
              <string>Номер варианта</string>
             </property>
-            <property name="minimum" >
+            <property name="minimum">
              <number>1</number>
             </property>
@@ -73,9 +75,9 @@
           </item>
           <item>
-           <widget class="QLabel" name="labelCities" >
-            <property name="text" >
+           <widget class="QLabel" name="labelCities">
+            <property name="text">
              <string>&amp;Городов:</string>
             </property>
-            <property name="buddy" >
+            <property name="buddy">
              <cstring>spinCities</cstring>
             </property>
@@ -83,18 +85,18 @@
           </item>
           <item>
-           <widget class="QSpinBox" name="spinCities" >
-            <property name="cursor" >
+           <widget class="QSpinBox" name="spinCities">
+            <property name="cursor">
              <cursorShape>PointingHandCursor</cursorShape>
             </property>
-            <property name="statusTip" >
+            <property name="statusTip">
              <string>Количество городов, которые обходит коммивояжер</string>
             </property>
-            <property name="minimum" >
+            <property name="minimum">
              <number>3</number>
             </property>
-            <property name="maximum" >
+            <property name="maximum">
              <number>5</number>
             </property>
-            <property name="value" >
+            <property name="value">
              <number>5</number>
             </property>
@@ -103,8 +105,8 @@
           <item>
            <spacer>
-            <property name="orientation" >
+            <property name="orientation">
              <enum>Qt::Horizontal</enum>
             </property>
-            <property name="sizeHint" >
+            <property name="sizeHint" stdset="0">
              <size>
               <width>40</width>
@@ -117,9 +119,9 @@
         </item>
         <item>
-         <widget class="QTableView" name="taskView" >
-          <property name="statusTip" >
+         <widget class="QTableView" name="taskView">
+          <property name="statusTip">
            <string>Стоимости переходов/переездов из города в город</string>
           </property>
-          <property name="selectionMode" >
+          <property name="selectionMode">
            <enum>QAbstractItemView::NoSelection</enum>
           </property>
@@ -127,11 +129,11 @@
         </item>
         <item>
-         <layout class="QHBoxLayout" >
+         <layout class="QHBoxLayout">
           <item>
            <spacer>
-            <property name="orientation" >
+            <property name="orientation">
              <enum>Qt::Horizontal</enum>
             </property>
-            <property name="sizeHint" >
+            <property name="sizeHint" stdset="0">
              <size>
               <width>40</width>
@@ -142,12 +144,12 @@
           </item>
           <item>
-           <widget class="QPushButton" name="buttonRandom" >
-            <property name="cursor" >
+           <widget class="QPushButton" name="buttonRandom">
+            <property name="cursor">
              <cursorShape>PointingHandCursor</cursorShape>
             </property>
-            <property name="statusTip" >
+            <property name="statusTip">
              <string>Заполнить таблицу случайными значениями</string>
             </property>
-            <property name="text" >
+            <property name="text">
              <string>Случайно</string>
             </property>
@@ -155,16 +157,17 @@
           </item>
           <item>
-           <widget class="QPushButton" name="buttonSolve" >
-            <property name="cursor" >
+           <widget class="QPushButton" name="buttonSolve">
+            <property name="cursor">
              <cursorShape>PointingHandCursor</cursorShape>
             </property>
-            <property name="statusTip" >
+            <property name="statusTip">
              <string>Решить текущую задачу</string>
             </property>
-            <property name="text" >
+            <property name="text">
              <string>Решить</string>
             </property>
-            <property name="icon" >
-             <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/OK.png</iconset>
+            <property name="icon">
+             <iconset resource="../resources/tspsg.qrc">
+              <normaloff>:/images/buttons/buttons/OK.png</normaloff>:/images/buttons/buttons/OK.png</iconset>
             </property>
            </widget>
@@ -174,26 +177,26 @@
        </layout>
       </widget>
-      <widget class="QWidget" name="tabSolution" >
-       <attribute name="title" >
+      <widget class="QWidget" name="tabSolution">
+       <attribute name="title">
         <string>Решение</string>
        </attribute>
-       <layout class="QVBoxLayout" >
+       <layout class="QVBoxLayout">
         <item>
-         <layout class="QHBoxLayout" >
-          <property name="spacing" >
+         <layout class="QHBoxLayout">
+          <property name="spacing">
            <number>0</number>
           </property>
           <item>
-           <widget class="QTextEdit" name="textEdit" >
-            <property name="sizePolicy" >
-             <sizepolicy vsizetype="Expanding" hsizetype="Fixed" >
+           <widget class="QTextEdit" name="textEdit">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Fixed" vsizetype="Expanding">
               <horstretch>0</horstretch>
               <verstretch>0</verstretch>
              </sizepolicy>
             </property>
-            <property name="statusTip" >
+            <property name="statusTip">
              <string>Ход решения</string>
             </property>
-            <property name="readOnly" >
+            <property name="readOnly">
              <bool>true</bool>
             </property>
@@ -201,6 +204,6 @@
           </item>
           <item>
-           <widget class="QGraphicsView" name="graphicsView" >
-            <property name="statusTip" >
+           <widget class="QGraphicsView" name="graphicsView">
+            <property name="statusTip">
              <string>Граф решения</string>
             </property>
@@ -215,70 +218,73 @@
    </layout>
   </widget>
-  <widget class="QMenuBar" name="menubar" >
-   <property name="geometry" >
+  <widget class="QMenuBar" name="menubar">
+   <property name="geometry">
     <rect>
      <x>0</x>
      <y>0</y>
      <width>640</width>
-     <height>21</height>
+     <height>22</height>
     </rect>
    </property>
-   <widget class="QMenu" name="menuFile" >
-    <property name="windowIcon" >
-     <iconset/>
+   <widget class="QMenu" name="menuFile">
+    <property name="windowIcon">
+     <iconset>
+      <normaloff/>
+     </iconset>
     </property>
-    <property name="title" >
+    <property name="title">
      <string>&amp;Файл</string>
     </property>
-    <widget class="QMenu" name="menuFileSave" >
-     <property name="statusTip" >
+    <widget class="QMenu" name="menuFileSave">
+     <property name="statusTip">
       <string/>
      </property>
-     <property name="title" >
+     <property name="title">
       <string>Со&amp;хранить</string>
      </property>
-     <property name="icon" >
-      <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Save.png</iconset>
+     <property name="icon">
+      <iconset resource="../resources/tspsg.qrc">
+       <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
      </property>
-     <addaction name="actionFileSaveTask" />
-     <addaction name="separator" />
-     <addaction name="actionFileSaveResultAll" />
-     <addaction name="actionFileSaveResultMatrices" />
-     <addaction name="actionFileSaveResultGraph" />
+     <addaction name="actionFileSaveTask"/>
+     <addaction name="separator"/>
+     <addaction name="actionFileSaveResultAll"/>
+     <addaction name="actionFileSaveResultMatrices"/>
+     <addaction name="actionFileSaveResultGraph"/>
     </widget>
-    <addaction name="actionFileNew" />
-    <addaction name="actionFileOpen" />
-    <addaction name="menuFileSave" />
-    <addaction name="separator" />
-    <addaction name="actionFilePrintSetup" />
-    <addaction name="actionFilePrint" />
-    <addaction name="separator" />
-    <addaction name="actionFileExit" />
+    <addaction name="actionFileNew"/>
+    <addaction name="actionFileOpen"/>
+    <addaction name="menuFileSave"/>
+    <addaction name="separator"/>
+    <addaction name="actionFilePrintSetup"/>
+    <addaction name="actionFilePrint"/>
+    <addaction name="separator"/>
+    <addaction name="actionFileExit"/>
    </widget>
-   <widget class="QMenu" name="menuSettings" >
-    <property name="title" >
+   <widget class="QMenu" name="menuSettings">
+    <property name="title">
      <string>&amp;Настройки</string>
     </property>
-    <addaction name="actionSettingsSettings" />
+    <addaction name="actionSettingsSettings"/>
    </widget>
-   <widget class="QMenu" name="menuHelp" >
-    <property name="title" >
+   <widget class="QMenu" name="menuHelp">
+    <property name="title">
      <string>&amp;Помощь</string>
     </property>
-    <addaction name="actionHelpContents" />
-    <addaction name="actionHelpContextual" />
-    <addaction name="separator" />
-    <addaction name="actionHelpAbout" />
+    <addaction name="actionHelpContents"/>
+    <addaction name="actionHelpContextual"/>
+    <addaction name="separator"/>
+    <addaction name="actionHelpAbout"/>
    </widget>
-   <addaction name="menuFile" />
-   <addaction name="menuSettings" />
-   <addaction name="menuHelp" />
+   <addaction name="menuFile"/>
+   <addaction name="menuSettings"/>
+   <addaction name="menuHelp"/>
   </widget>
-  <widget class="QStatusBar" name="statusbar" />
-  <widget class="QToolBar" name="toolBar" >
-   <property name="cursor" >
+  <widget class="QStatusBar" name="statusbar"/>
+  <widget class="QToolBar" name="toolBar">
+   <property name="cursor">
     <cursorShape>ArrowCursor</cursorShape>
    </property>
-   <property name="iconSize" >
+   <property name="iconSize">
     <size>
      <width>17</width>
@@ -286,186 +292,196 @@
     </size>
    </property>
-   <attribute name="toolBarArea" >
+   <attribute name="toolBarArea">
     <enum>TopToolBarArea</enum>
    </attribute>
-   <attribute name="toolBarBreak" >
+   <attribute name="toolBarBreak">
     <bool>false</bool>
    </attribute>
-   <addaction name="actionFileNew" />
-   <addaction name="actionFileOpen" />
-   <addaction name="actionFileSaveTask" />
-   <addaction name="separator" />
-   <addaction name="actionFilePrint" />
-   <addaction name="actionSettingsSettings" />
-   <addaction name="separator" />
-   <addaction name="actionFileExit" />
+   <addaction name="actionFileNew"/>
+   <addaction name="actionFileOpen"/>
+   <addaction name="actionFileSaveTask"/>
+   <addaction name="separator"/>
+   <addaction name="actionFilePrint"/>
+   <addaction name="actionSettingsSettings"/>
+   <addaction name="separator"/>
+   <addaction name="actionFileExit"/>
   </widget>
-  <action name="actionFilePrintSetup" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/PrintSetup.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionFilePrintSetup">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/PrintSetup.png</normaloff>:/images/buttons/buttons/PrintSetup.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Настройка печати</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Настроить принтер для печати</string>
    </property>
   </action>
-  <action name="actionFilePrint" >
-   <property name="enabled" >
+  <action name="actionFilePrint">
+   <property name="enabled">
     <bool>false</bool>
    </property>
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Print.png</iconset>
-   </property>
-   <property name="text" >
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Print.png</normaloff>:/images/buttons/buttons/Print.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Печать...</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Распечатать результаты решения</string>
    </property>
-   <property name="shortcut" >
+   <property name="shortcut">
     <string>Ctrl+P</string>
    </property>
   </action>
-  <action name="actionFileSaveResultMatrices" >
-   <property name="enabled" >
+  <action name="actionFileSaveResultMatrices">
+   <property name="enabled">
     <bool>false</bool>
    </property>
-   <property name="text" >
+   <property name="text">
     <string>&amp;Ход решения</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Сохранить только хоод решения</string>
    </property>
   </action>
-  <action name="actionFileSaveResultGraph" >
-   <property name="enabled" >
+  <action name="actionFileSaveResultGraph">
+   <property name="enabled">
     <bool>false</bool>
    </property>
-   <property name="text" >
+   <property name="text">
     <string>&amp;Граф решения</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Сохранить только граф решения</string>
    </property>
   </action>
-  <action name="actionFileSaveResultAll" >
-   <property name="enabled" >
+  <action name="actionFileSaveResultAll">
+   <property name="enabled">
     <bool>false</bool>
    </property>
-   <property name="text" >
+   <property name="text">
     <string>&amp;Решение</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Сохранить ход и граф решения</string>
    </property>
-   <property name="shortcut" >
+   <property name="shortcut">
     <string>Ctrl+S</string>
    </property>
   </action>
-  <action name="actionFileNew" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Document.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionFileNew">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Document.png</normaloff>:/images/buttons/buttons/Document.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Создать</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Создать новую задачу</string>
    </property>
-   <property name="shortcut" >
+   <property name="shortcut">
     <string>Ctrl+N</string>
    </property>
   </action>
-  <action name="actionFileOpen" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/OpenFolder.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionFileOpen">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/OpenFolder.png</normaloff>:/images/buttons/buttons/OpenFolder.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Открыть</string>
    </property>
-   <property name="toolTip" >
+   <property name="toolTip">
     <string>Открыть задачу</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Открыть сохраненное условие задачи</string>
    </property>
-   <property name="shortcut" >
+   <property name="shortcut">
     <string>Ctrl+O</string>
    </property>
   </action>
-  <action name="actionSettingsSettings" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Properties.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionSettingsSettings">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Properties.png</normaloff>:/images/buttons/buttons/Properties.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Параметры</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Настройка параметров программмы</string>
    </property>
   </action>
-  <action name="actionHelpContents" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/book_open.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionHelpContents">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/book_open.png</normaloff>:/images/buttons/buttons/book_open.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Содежание</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Вызвать справку по программе</string>
    </property>
   </action>
-  <action name="actionHelpContextual" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Help.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionHelpContextual">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Help.png</normaloff>:/images/buttons/buttons/Help.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Контекстная справка</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Вызвать контекстную справку</string>
    </property>
   </action>
-  <action name="actionHelpAbout" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/infoBubble.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionHelpAbout">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/infoBubble.png</normaloff>:/images/buttons/buttons/infoBubble.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Про...</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Получить информацию о программе</string>
    </property>
   </action>
-  <action name="actionFileExit" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/NoAction.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionFileExit">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/NoAction.png</normaloff>:/images/buttons/buttons/NoAction.png</iconset>
+   </property>
+   <property name="text">
     <string>В&amp;ыход</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Выйти из программы</string>
    </property>
   </action>
-  <action name="actionFileSaveTask" >
-   <property name="icon" >
-    <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Save.png</iconset>
-   </property>
-   <property name="text" >
+  <action name="actionFileSaveTask">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
+   </property>
+   <property name="text">
     <string>&amp;Задачу</string>
    </property>
-   <property name="iconText" >
+   <property name="iconText">
     <string>Сохранить</string>
    </property>
-   <property name="toolTip" >
+   <property name="toolTip">
     <string>Сохранить задачу</string>
    </property>
-   <property name="statusTip" >
+   <property name="statusTip">
     <string>Сохранить условие задачи в файл</string>
    </property>
-   <property name="shortcut" >
+   <property name="shortcut">
     <string>Ctrl+S</string>
    </property>
@@ -473,5 +489,5 @@
  </widget>
  <resources>
-  <include location="../resources/tspsg.qrc" />
+  <include location="../resources/tspsg.qrc"/>
  </resources>
  <connections>
@@ -482,9 +498,9 @@
    <slot>close()</slot>
    <hints>
-    <hint type="sourcelabel" >
+    <hint type="sourcelabel">
      <x>-1</x>
      <y>-1</y>
     </hint>
-    <hint type="destinationlabel" >
+    <hint type="destinationlabel">
      <x>294</x>
      <y>229</y>
Index: trunk/ui/settingsdialog.ce.ui
===================================================================
--- trunk/ui/settingsdialog.ce.ui	(revision 17)
+++ trunk/ui/settingsdialog.ce.ui	(revision 17)
@@ -0,0 +1,389 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <class>SettingsDialog</class>
+ <widget class="QWidget" name="SettingsDialog">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>229</width>
+    <height>264</height>
+   </rect>
+  </property>
+  <property name="windowTitle">
+   <string>Параметры</string>
+  </property>
+  <property name="windowIcon">
+   <iconset resource="../resources/tspsg.qrc">
+    <normaloff>:/images/Settings.png</normaloff>:/images/Settings.png</iconset>
+  </property>
+  <layout class="QVBoxLayout" name="verticalLayout_2">
+   <property name="spacing">
+    <number>0</number>
+   </property>
+   <property name="margin">
+    <number>0</number>
+   </property>
+   <item>
+    <widget class="QWidget" name="background" native="true">
+     <property name="palette">
+      <palette>
+       <active>
+        <colorrole role="Base">
+         <brush brushstyle="SolidPattern">
+          <color alpha="255">
+           <red>255</red>
+           <green>255</green>
+           <blue>255</blue>
+          </color>
+         </brush>
+        </colorrole>
+        <colorrole role="Window">
+         <brush brushstyle="SolidPattern">
+          <color alpha="255">
+           <red>255</red>
+           <green>255</green>
+           <blue>255</blue>
+          </color>
+         </brush>
+        </colorrole>
+       </active>
+       <inactive>
+        <colorrole role="Base">
+         <brush brushstyle="SolidPattern">
+          <color alpha="255">
+           <red>255</red>
+           <green>255</green>
+           <blue>255</blue>
+          </color>
+         </brush>
+        </colorrole>
+        <colorrole role="Window">
+         <brush brushstyle="SolidPattern">
+          <color alpha="255">
+           <red>255</red>
+           <green>255</green>
+           <blue>255</blue>
+          </color>
+         </brush>
+        </colorrole>
+       </inactive>
+       <disabled>
+        <colorrole role="Base">
+         <brush brushstyle="SolidPattern">
+          <color alpha="255">
+           <red>255</red>
+           <green>255</green>
+           <blue>255</blue>
+          </color>
+         </brush>
+        </colorrole>
+        <colorrole role="Window">
+         <brush brushstyle="SolidPattern">
+          <color alpha="255">
+           <red>255</red>
+           <green>255</green>
+           <blue>255</blue>
+          </color>
+         </brush>
+        </colorrole>
+       </disabled>
+      </palette>
+     </property>
+     <property name="autoFillBackground">
+      <bool>true</bool>
+     </property>
+     <layout class="QVBoxLayout" name="verticalLayout">
+      <item>
+       <widget class="QGroupBox" name="groupRandomSettings">
+        <property name="title">
+         <string>Случайные значения:</string>
+        </property>
+        <layout class="QVBoxLayout">
+         <item>
+          <layout class="QHBoxLayout">
+           <item>
+            <widget class="QLabel" name="labelRandMin">
+             <property name="sizePolicy">
+              <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
+               <horstretch>0</horstretch>
+               <verstretch>0</verstretch>
+              </sizepolicy>
+             </property>
+             <property name="text">
+              <string>Ми&amp;нимум:</string>
+             </property>
+             <property name="buddy">
+              <cstring>spinRandMin</cstring>
+             </property>
+            </widget>
+           </item>
+           <item>
+            <widget class="QSpinBox" name="spinRandMin">
+             <property name="cursor">
+              <cursorShape>PointingHandCursor</cursorShape>
+             </property>
+             <property name="statusTip">
+              <string>Нижняя граница для генерации случайных значений</string>
+             </property>
+             <property name="maximum">
+              <number>1000</number>
+             </property>
+             <property name="value">
+              <number>1</number>
+             </property>
+            </widget>
+           </item>
+          </layout>
+         </item>
+         <item>
+          <layout class="QHBoxLayout">
+           <item>
+            <widget class="QLabel" name="labelRandMax">
+             <property name="sizePolicy">
+              <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
+               <horstretch>0</horstretch>
+               <verstretch>0</verstretch>
+              </sizepolicy>
+             </property>
+             <property name="text">
+              <string>&amp;Максимум:</string>
+             </property>
+             <property name="buddy">
+              <cstring>spinRandMax</cstring>
+             </property>
+            </widget>
+           </item>
+           <item>
+            <widget class="QSpinBox" name="spinRandMax">
+             <property name="cursor">
+              <cursorShape>PointingHandCursor</cursorShape>
+             </property>
+             <property name="statusTip">
+              <string>Верхняя граница для генерации случайных значений</string>
+             </property>
+             <property name="minimum">
+              <number>1</number>
+             </property>
+             <property name="maximum">
+              <number>1000</number>
+             </property>
+             <property name="value">
+              <number>10</number>
+             </property>
+            </widget>
+           </item>
+          </layout>
+         </item>
+        </layout>
+       </widget>
+      </item>
+      <item>
+       <layout class="QHBoxLayout" name="horizontalLayout_2">
+        <item>
+         <spacer name="horizontalSpacer_3">
+          <property name="orientation">
+           <enum>Qt::Horizontal</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>40</width>
+            <height>20</height>
+           </size>
+          </property>
+         </spacer>
+        </item>
+        <item>
+         <widget class="QPushButton" name="buttonFont">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
+          <property name="statusTip">
+           <string>Задать параметры шрифта, используемого при печати</string>
+          </property>
+          <property name="text">
+           <string>&amp;Шрифт...</string>
+          </property>
+          <property name="icon">
+           <iconset resource="../resources/tspsg.qrc">
+            <normaloff>:/images/buttons/buttons/Font.png</normaloff>:/images/buttons/buttons/Font.png</iconset>
+          </property>
+         </widget>
+        </item>
+       </layout>
+      </item>
+      <item>
+       <spacer name="verticalSpacer">
+        <property name="orientation">
+         <enum>Qt::Vertical</enum>
+        </property>
+        <property name="sizeHint" stdset="0">
+         <size>
+          <width>20</width>
+          <height>41</height>
+         </size>
+        </property>
+       </spacer>
+      </item>
+      <item>
+       <layout class="QHBoxLayout" name="horizontalLayout">
+        <item>
+         <spacer name="horizontalSpacer">
+          <property name="orientation">
+           <enum>Qt::Horizontal</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>40</width>
+            <height>20</height>
+           </size>
+          </property>
+         </spacer>
+        </item>
+        <item>
+         <widget class="QCheckBox" name="checkBox">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
+          <property name="statusTip">
+           <string>Восстанавливать состояние и размеры окна после перезапуска программы</string>
+          </property>
+          <property name="text">
+           <string>Сохранять состояние и
+положение главного окна</string>
+          </property>
+          <property name="checked">
+           <bool>false</bool>
+          </property>
+         </widget>
+        </item>
+        <item>
+         <spacer name="horizontalSpacer_2">
+          <property name="orientation">
+           <enum>Qt::Horizontal</enum>
+          </property>
+          <property name="sizeHint" stdset="0">
+           <size>
+            <width>40</width>
+            <height>20</height>
+           </size>
+          </property>
+         </spacer>
+        </item>
+       </layout>
+      </item>
+     </layout>
+    </widget>
+   </item>
+   <item>
+    <widget class="Line" name="lineHorizontal">
+     <property name="maximumSize">
+      <size>
+       <width>16777215</width>
+       <height>2</height>
+      </size>
+     </property>
+     <property name="frameShadow">
+      <enum>QFrame::Plain</enum>
+     </property>
+     <property name="lineWidth">
+      <number>2</number>
+     </property>
+     <property name="orientation">
+      <enum>Qt::Horizontal</enum>
+     </property>
+    </widget>
+   </item>
+   <item>
+    <layout class="QHBoxLayout">
+     <property name="spacing">
+      <number>6</number>
+     </property>
+     <property name="sizeConstraint">
+      <enum>QLayout::SetFixedSize</enum>
+     </property>
+     <property name="margin">
+      <number>6</number>
+     </property>
+     <item>
+      <widget class="QToolButton" name="toolButton">
+       <property name="cursor">
+        <cursorShape>PointingHandCursor</cursorShape>
+       </property>
+       <property name="toolTip">
+        <string>Справка</string>
+       </property>
+       <property name="statusTip">
+        <string>Получить помощь по настройкам</string>
+       </property>
+       <property name="text">
+        <string>Помощь</string>
+       </property>
+       <property name="icon">
+        <iconset resource="../resources/tspsg.qrc">
+         <normaloff>:/images/buttons/buttons/Help.png</normaloff>:/images/buttons/buttons/Help.png</iconset>
+       </property>
+       <property name="autoRaise">
+        <bool>true</bool>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <spacer name="horizontalSpacer_4">
+       <property name="orientation">
+        <enum>Qt::Horizontal</enum>
+       </property>
+       <property name="sizeHint" stdset="0">
+        <size>
+         <width>40</width>
+         <height>20</height>
+        </size>
+       </property>
+      </spacer>
+     </item>
+     <item>
+      <widget class="QPushButton" name="buttonOK">
+       <property name="cursor">
+        <cursorShape>PointingHandCursor</cursorShape>
+       </property>
+       <property name="statusTip">
+        <string>Сохранить новые параметры</string>
+       </property>
+       <property name="text">
+        <string>&amp;OK</string>
+       </property>
+       <property name="icon">
+        <iconset resource="../resources/tspsg.qrc">
+         <normaloff>:/images/buttons/buttons/OK.png</normaloff>:/images/buttons/buttons/OK.png</iconset>
+       </property>
+       <property name="default">
+        <bool>true</bool>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QPushButton" name="buttonCancel">
+       <property name="cursor">
+        <cursorShape>PointingHandCursor</cursorShape>
+       </property>
+       <property name="statusTip">
+        <string>Закрыть окно без сохранения параметров</string>
+       </property>
+       <property name="text">
+        <string>&amp;Отмена</string>
+       </property>
+       <property name="icon">
+        <iconset resource="../resources/tspsg.qrc">
+         <normaloff>:/images/buttons/buttons/Critical.png</normaloff>:/images/buttons/buttons/Critical.png</iconset>
+       </property>
+      </widget>
+     </item>
+    </layout>
+   </item>
+  </layout>
+ </widget>
+ <resources>
+  <include location="../resources/tspsg.qrc"/>
+ </resources>
+ <connections/>
+</ui>
Index: trunk/ui/settingsdialog.ui
===================================================================
--- trunk/ui/settingsdialog.ui	(revision 16)
+++ trunk/ui/settingsdialog.ui	(revision 17)
@@ -1,6 +1,7 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>SettingsDialog</class>
- <widget class="QWidget" name="SettingsDialog" >
-  <property name="geometry" >
+ <widget class="QWidget" name="SettingsDialog">
+  <property name="geometry">
    <rect>
     <x>0</x>
@@ -10,34 +11,26 @@
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Параметры</string>
   </property>
-  <property name="windowIcon" >
-   <iconset resource="../resources/tspsg.qrc" >:/images/Settings.png</iconset>
+  <property name="windowIcon">
+   <iconset resource="../resources/tspsg.qrc">
+    <normaloff>:/images/Settings.png</normaloff>:/images/Settings.png</iconset>
   </property>
-  <layout class="QVBoxLayout" >
-   <property name="spacing" >
+  <layout class="QVBoxLayout">
+   <property name="spacing">
     <number>0</number>
    </property>
-   <property name="leftMargin" >
-    <number>0</number>
-   </property>
-   <property name="topMargin" >
-    <number>0</number>
-   </property>
-   <property name="rightMargin" >
-    <number>0</number>
-   </property>
-   <property name="bottomMargin" >
+   <property name="margin">
     <number>0</number>
    </property>
    <item>
-    <layout class="QHBoxLayout" >
-     <property name="spacing" >
+    <layout class="QHBoxLayout">
+     <property name="spacing">
       <number>0</number>
      </property>
      <item>
-      <widget class="QLabel" name="imageSide" >
-       <property name="minimumSize" >
+      <widget class="QLabel" name="imageSide">
+       <property name="minimumSize">
         <size>
          <width>130</width>
@@ -45,20 +38,20 @@
         </size>
        </property>
-       <property name="styleSheet" >
+       <property name="styleSheet">
         <string>background-color: #0080C0</string>
        </property>
-       <property name="frameShape" >
+       <property name="frameShape">
         <enum>QFrame::StyledPanel</enum>
        </property>
-       <property name="lineWidth" >
+       <property name="lineWidth">
         <number>0</number>
        </property>
-       <property name="text" >
+       <property name="text">
         <string/>
        </property>
-       <property name="pixmap" >
-        <pixmap resource="../resources/tspsg.qrc" >:/images/Settings.png</pixmap>
-       </property>
-       <property name="alignment" >
+       <property name="pixmap">
+        <pixmap resource="../resources/tspsg.qrc">:/images/Settings.png</pixmap>
+       </property>
+       <property name="alignment">
         <set>Qt::AlignCenter</set>
        </property>
@@ -66,12 +59,12 @@
      </item>
      <item>
-      <widget class="Line" name="lineVertical" >
-       <property name="frameShadow" >
+      <widget class="Line" name="lineVertical">
+       <property name="frameShadow">
         <enum>QFrame::Plain</enum>
        </property>
-       <property name="lineWidth" >
+       <property name="lineWidth">
         <number>2</number>
        </property>
-       <property name="orientation" >
+       <property name="orientation">
         <enum>Qt::Vertical</enum>
        </property>
@@ -79,20 +72,20 @@
      </item>
      <item>
-      <widget class="QWidget" native="1" name="background" >
-       <property name="palette" >
+      <widget class="QWidget" name="background" native="true">
+       <property name="palette">
         <palette>
          <active>
-          <colorrole role="Base" >
-           <brush brushstyle="SolidPattern" >
-            <color alpha="255" >
-             <red>255</red>
-             <green>255</green>
-             <blue>255</blue>
-            </color>
-           </brush>
-          </colorrole>
-          <colorrole role="Window" >
-           <brush brushstyle="SolidPattern" >
-            <color alpha="255" >
+          <colorrole role="Base">
+           <brush brushstyle="SolidPattern">
+            <color alpha="255">
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+          <colorrole role="Window">
+           <brush brushstyle="SolidPattern">
+            <color alpha="255">
              <red>255</red>
              <green>255</green>
@@ -103,16 +96,16 @@
          </active>
          <inactive>
-          <colorrole role="Base" >
-           <brush brushstyle="SolidPattern" >
-            <color alpha="255" >
-             <red>255</red>
-             <green>255</green>
-             <blue>255</blue>
-            </color>
-           </brush>
-          </colorrole>
-          <colorrole role="Window" >
-           <brush brushstyle="SolidPattern" >
-            <color alpha="255" >
+          <colorrole role="Base">
+           <brush brushstyle="SolidPattern">
+            <color alpha="255">
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+          <colorrole role="Window">
+           <brush brushstyle="SolidPattern">
+            <color alpha="255">
              <red>255</red>
              <green>255</green>
@@ -123,16 +116,16 @@
          </inactive>
          <disabled>
-          <colorrole role="Base" >
-           <brush brushstyle="SolidPattern" >
-            <color alpha="255" >
-             <red>255</red>
-             <green>255</green>
-             <blue>255</blue>
-            </color>
-           </brush>
-          </colorrole>
-          <colorrole role="Window" >
-           <brush brushstyle="SolidPattern" >
-            <color alpha="255" >
+          <colorrole role="Base">
+           <brush brushstyle="SolidPattern">
+            <color alpha="255">
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+          <colorrole role="Window">
+           <brush brushstyle="SolidPattern">
+            <color alpha="255">
              <red>255</red>
              <green>255</green>
@@ -144,33 +137,33 @@
         </palette>
        </property>
-       <property name="autoFillBackground" >
+       <property name="autoFillBackground">
         <bool>true</bool>
        </property>
-       <layout class="QVBoxLayout" >
+       <layout class="QVBoxLayout">
         <item>
-         <layout class="QHBoxLayout" >
-          <property name="spacing" >
+         <layout class="QHBoxLayout">
+          <property name="spacing">
            <number>6</number>
           </property>
           <item>
-           <widget class="QGroupBox" name="groupRandomSettings" >
-            <property name="title" >
+           <widget class="QGroupBox" name="groupRandomSettings">
+            <property name="title">
              <string>Случайные значения:</string>
             </property>
-            <layout class="QVBoxLayout" >
+            <layout class="QVBoxLayout">
              <item>
-              <layout class="QHBoxLayout" >
-               <item>
-                <widget class="QLabel" name="labelRandMin" >
-                 <property name="sizePolicy" >
-                  <sizepolicy vsizetype="Preferred" hsizetype="Expanding" >
+              <layout class="QHBoxLayout">
+               <item>
+                <widget class="QLabel" name="labelRandMin">
+                 <property name="sizePolicy">
+                  <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
-                 <property name="text" >
+                 <property name="text">
                   <string>Ми&amp;нимум:</string>
                  </property>
-                 <property name="buddy" >
+                 <property name="buddy">
                   <cstring>spinRandMin</cstring>
                  </property>
@@ -178,15 +171,15 @@
                </item>
                <item>
-                <widget class="QSpinBox" name="spinRandMin" >
-                 <property name="cursor" >
+                <widget class="QSpinBox" name="spinRandMin">
+                 <property name="cursor">
                   <cursorShape>PointingHandCursor</cursorShape>
                  </property>
-                 <property name="statusTip" >
+                 <property name="statusTip">
                   <string>Нижняя граница для генерации случайных значений</string>
                  </property>
-                 <property name="maximum" >
+                 <property name="maximum">
                   <number>1000</number>
                  </property>
-                 <property name="value" >
+                 <property name="value">
                   <number>1</number>
                  </property>
@@ -196,17 +189,17 @@
              </item>
              <item>
-              <layout class="QHBoxLayout" >
-               <item>
-                <widget class="QLabel" name="labelRandMax" >
-                 <property name="sizePolicy" >
-                  <sizepolicy vsizetype="Preferred" hsizetype="Expanding" >
+              <layout class="QHBoxLayout">
+               <item>
+                <widget class="QLabel" name="labelRandMax">
+                 <property name="sizePolicy">
+                  <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
-                 <property name="text" >
+                 <property name="text">
                   <string>&amp;Максимум:</string>
                  </property>
-                 <property name="buddy" >
+                 <property name="buddy">
                   <cstring>spinRandMax</cstring>
                  </property>
@@ -214,18 +207,18 @@
                </item>
                <item>
-                <widget class="QSpinBox" name="spinRandMax" >
-                 <property name="cursor" >
+                <widget class="QSpinBox" name="spinRandMax">
+                 <property name="cursor">
                   <cursorShape>PointingHandCursor</cursorShape>
                  </property>
-                 <property name="statusTip" >
+                 <property name="statusTip">
                   <string>Верхняя граница для генерации случайных значений</string>
                  </property>
-                 <property name="minimum" >
+                 <property name="minimum">
                   <number>1</number>
                  </property>
-                 <property name="maximum" >
+                 <property name="maximum">
                   <number>1000</number>
                  </property>
-                 <property name="value" >
+                 <property name="value">
                   <number>10</number>
                  </property>
@@ -238,17 +231,17 @@
           </item>
           <item>
-           <widget class="QGroupBox" name="groupPrintSetup" >
-            <property name="title" >
+           <widget class="QGroupBox" name="groupPrintSetup">
+            <property name="title">
              <string>Настройки печати:</string>
             </property>
-            <layout class="QVBoxLayout" >
+            <layout class="QVBoxLayout">
              <item>
-              <layout class="QHBoxLayout" >
-               <item>
-                <widget class="QLabel" name="labelLeftMargin" >
-                 <property name="text" >
+              <layout class="QHBoxLayout">
+               <item>
+                <widget class="QLabel" name="labelLeftMargin">
+                 <property name="text">
                   <string>&amp;Левый отступ:</string>
                  </property>
-                 <property name="buddy" >
+                 <property name="buddy">
                   <cstring>spinLeftMargin</cstring>
                  </property>
@@ -256,18 +249,18 @@
                </item>
                <item>
-                <widget class="QSpinBox" name="spinLeftMargin" >
-                 <property name="cursor" >
+                <widget class="QSpinBox" name="spinLeftMargin">
+                 <property name="cursor">
                   <cursorShape>PointingHandCursor</cursorShape>
                  </property>
-                 <property name="statusTip" >
+                 <property name="statusTip">
                   <string>Размер отступа от левого края страницы</string>
                  </property>
-                 <property name="maximum" >
+                 <property name="maximum">
                   <number>999</number>
                  </property>
-                 <property name="singleStep" >
+                 <property name="singleStep">
                   <number>10</number>
                  </property>
-                 <property name="value" >
+                 <property name="value">
                   <number>100</number>
                  </property>
@@ -277,16 +270,17 @@
              </item>
              <item>
-              <widget class="QPushButton" name="buttonFont" >
-               <property name="cursor" >
+              <widget class="QPushButton" name="buttonFont">
+               <property name="cursor">
                 <cursorShape>PointingHandCursor</cursorShape>
                </property>
-               <property name="statusTip" >
+               <property name="statusTip">
                 <string>Задать параметры шрифта, используемого при печати</string>
                </property>
-               <property name="text" >
+               <property name="text">
                 <string>&amp;Шрифт...</string>
                </property>
-               <property name="icon" >
-                <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Font.png</iconset>
+               <property name="icon">
+                <iconset resource="../resources/tspsg.qrc">
+                 <normaloff>:/images/buttons/buttons/Font.png</normaloff>:/images/buttons/buttons/Font.png</iconset>
                </property>
               </widget>
@@ -298,12 +292,12 @@
         </item>
         <item>
-         <widget class="QCheckBox" name="checkBox" >
-          <property name="cursor" >
+         <widget class="QCheckBox" name="checkBox">
+          <property name="cursor">
            <cursorShape>PointingHandCursor</cursorShape>
           </property>
-          <property name="statusTip" >
+          <property name="statusTip">
            <string>Восстанавливать состояние и размеры окна после перезапуска программы</string>
           </property>
-          <property name="text" >
+          <property name="text">
            <string>Сохранять состояние и положение главного окна</string>
           </property>
@@ -316,6 +310,6 @@
    </item>
    <item>
-    <widget class="Line" name="lineHorizontal" >
-     <property name="maximumSize" >
+    <widget class="Line" name="lineHorizontal">
+     <property name="maximumSize">
       <size>
        <width>16777215</width>
@@ -323,11 +317,11 @@
       </size>
      </property>
-     <property name="frameShadow" >
+     <property name="frameShadow">
       <enum>QFrame::Plain</enum>
      </property>
-     <property name="lineWidth" >
+     <property name="lineWidth">
       <number>2</number>
      </property>
-     <property name="orientation" >
+     <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -335,38 +329,30 @@
    </item>
    <item>
-    <layout class="QHBoxLayout" >
-     <property name="spacing" >
+    <layout class="QHBoxLayout">
+     <property name="spacing">
       <number>6</number>
      </property>
-     <property name="leftMargin" >
+     <property name="margin">
       <number>6</number>
      </property>
-     <property name="topMargin" >
-      <number>6</number>
-     </property>
-     <property name="rightMargin" >
-      <number>6</number>
-     </property>
-     <property name="bottomMargin" >
-      <number>6</number>
-     </property>
-     <item>
-      <widget class="QToolButton" name="toolButton" >
-       <property name="cursor" >
+     <item>
+      <widget class="QToolButton" name="toolButton">
+       <property name="cursor">
         <cursorShape>PointingHandCursor</cursorShape>
        </property>
-       <property name="toolTip" >
+       <property name="toolTip">
         <string>Справка</string>
        </property>
-       <property name="statusTip" >
+       <property name="statusTip">
         <string>Получить помощь по настройкам</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>Помощь</string>
        </property>
-       <property name="icon" >
-        <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Help.png</iconset>
-       </property>
-       <property name="autoRaise" >
+       <property name="icon">
+        <iconset resource="../resources/tspsg.qrc">
+         <normaloff>:/images/buttons/buttons/Help.png</normaloff>:/images/buttons/buttons/Help.png</iconset>
+       </property>
+       <property name="autoRaise">
         <bool>true</bool>
        </property>
@@ -374,24 +360,24 @@
      </item>
      <item>
-      <widget class="QLabel" name="labelHint" >
-       <property name="sizePolicy" >
-        <sizepolicy vsizetype="Preferred" hsizetype="Expanding" >
+      <widget class="QLabel" name="labelHint">
+       <property name="sizePolicy">
+        <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
          <horstretch>0</horstretch>
          <verstretch>0</verstretch>
         </sizepolicy>
        </property>
-       <property name="statusTip" >
+       <property name="statusTip">
         <string>Наведите указатель мыши на элемент диалога, чтоб получить подсказку</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string/>
        </property>
-       <property name="textFormat" >
+       <property name="textFormat">
         <enum>Qt::PlainText</enum>
        </property>
-       <property name="alignment" >
+       <property name="alignment">
         <set>Qt::AlignJustify|Qt::AlignTop</set>
        </property>
-       <property name="wordWrap" >
+       <property name="wordWrap">
         <bool>true</bool>
        </property>
@@ -399,18 +385,19 @@
      </item>
      <item>
-      <widget class="QPushButton" name="buttonOK" >
-       <property name="cursor" >
+      <widget class="QPushButton" name="buttonOK">
+       <property name="cursor">
         <cursorShape>PointingHandCursor</cursorShape>
        </property>
-       <property name="statusTip" >
+       <property name="statusTip">
         <string>Сохранить новые параметры</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>&amp;OK</string>
        </property>
-       <property name="icon" >
-        <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/OK.png</iconset>
-       </property>
-       <property name="default" >
+       <property name="icon">
+        <iconset resource="../resources/tspsg.qrc">
+         <normaloff>:/images/buttons/buttons/OK.png</normaloff>:/images/buttons/buttons/OK.png</iconset>
+       </property>
+       <property name="default">
         <bool>true</bool>
        </property>
@@ -418,16 +405,17 @@
      </item>
      <item>
-      <widget class="QPushButton" name="buttonCancel" >
-       <property name="cursor" >
+      <widget class="QPushButton" name="buttonCancel">
+       <property name="cursor">
         <cursorShape>PointingHandCursor</cursorShape>
        </property>
-       <property name="statusTip" >
+       <property name="statusTip">
         <string>Закрыть окно без сохранения параметров</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>&amp;Отмена</string>
        </property>
-       <property name="icon" >
-        <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Critical.png</iconset>
+       <property name="icon">
+        <iconset resource="../resources/tspsg.qrc">
+         <normaloff>:/images/buttons/buttons/Critical.png</normaloff>:/images/buttons/buttons/Critical.png</iconset>
        </property>
       </widget>
@@ -438,5 +426,5 @@
  </widget>
  <resources>
-  <include location="../resources/tspsg.qrc" />
+  <include location="../resources/tspsg.qrc"/>
  </resources>
  <connections/>
